/[gentoo-x86]/sys-apps/policycoreutils/ChangeLog
Gentoo

Diff of /sys-apps/policycoreutils/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.60 Revision 1.107
1# ChangeLog for sys-apps/policycoreutils 1# ChangeLog for sys-apps/policycoreutils
2# Copyright 2000-2006 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/sys-apps/policycoreutils/ChangeLog,v 1.60 2006/10/09 23:38:08 pebenito Exp $ 3# $Header: /var/cvsroot/gentoo-x86/sys-apps/policycoreutils/ChangeLog,v 1.107 2012/10/13 16:46:02 swift Exp $
4
5 13 Oct 2012; <swift@gentoo.org> policycoreutils-2.1.13-r3.ebuild:
6 Supporting user-provided patches using epatch_user
7
8*policycoreutils-2.1.13-r3 (09 Oct 2012)
9
10 09 Oct 2012; <swift@gentoo.org> +policycoreutils-2.1.13-r3.ebuild:
11 Introducing new upstream release
12
13 06 Oct 2012; <swift@gentoo.org> policycoreutils-2.1.10-r5.ebuild:
14 Stabilize
15
16*policycoreutils-2.1.10-r5 (08 Sep 2012)
17
18 08 Sep 2012; <swift@gentoo.org> +policycoreutils-2.1.10-r5.ebuild:
19 Fix bug #427596 and #430806
20
21 10 Jul 2012; <swift@gentoo.org> policycoreutils-2.1.10-r3.ebuild:
22 Stabilization, drop libcgroup dependency along the way
23
24*policycoreutils-2.1.10-r4 (10 Jul 2012)
25
26 10 Jul 2012; <swift@gentoo.org> +policycoreutils-2.1.10-r4.ebuild:
27 Support refpolicy style audit2allow (#417199)
28
29 26 Jun 2012; Mike Gilbert <floppym@gentoo.org>
30 policycoreutils-2.1.10-r1.ebuild, policycoreutils-2.1.10-r3.ebuild,
31 policycoreutils-2.1.10.ebuild:
32 Restrict pypy per Arfrever.
33
34*policycoreutils-2.1.10-r3 (25 Jun 2012)
35
36 25 Jun 2012; <swift@gentoo.org>
37 +files/policycoreutils-extra-1.21-fix-python3.patch,
38 +policycoreutils-2.1.10-r3.ebuild:
39 Improve support for python3, fixes bug #416301
40
41 13 May 2012; <swift@gentoo.org> -policycoreutils-2.1.0-r1.ebuild,
42 -policycoreutils-2.1.0-r2.ebuild:
43 Removing obsoleted ebuilds
44
45*policycoreutils-2.1.10-r1 (29 Apr 2012)
46
47 29 Apr 2012; <swift@gentoo.org> policycoreutils-2.1.10.ebuild,
48 +policycoreutils-2.1.10-r1.ebuild:
49 Remove dependency on libcgroup (but drop sesandbox support along the way)
50
51 29 Apr 2012; <swift@gentoo.org> policycoreutils-2.1.10.ebuild:
52 Stabilization
53
54*policycoreutils-2.1.10 (31 Mar 2012)
55
56 31 Mar 2012; <swift@gentoo.org> +policycoreutils-2.1.10.ebuild, metadata.xml:
57 Bump to version 2.1.10
58
59 26 Feb 2012; <swift@gentoo.org> policycoreutils-2.1.0-r2.ebuild:
60 Stabilization
61
62 14 Jan 2012; <swift@gentoo.org> +policycoreutils-2.1.0-r2.ebuild,
63 metadata.xml:
64 Mark audit as a local USE flag
65
66*policycoreutils-2.1.0-r2 (14 Jan 2012)
67
68 14 Jan 2012; <swift@gentoo.org> +policycoreutils-2.1.0-r2.ebuild:
69 Override auto-detection of pam and audit, use USE flags for this
70
71 12 Nov 2011; <swift@gentoo.org> -policycoreutils-2.0.82.ebuild,
72 -policycoreutils-2.0.82-r1.ebuild, -policycoreutils-2.0.85.ebuild,
73 -policycoreutils-2.1.0.ebuild:
74 removing obsoleted ebuilds
75
76 23 Oct 2011; <swift@gentoo.org> policycoreutils-2.1.0-r1.ebuild:
77 Stabilization (tracker #384231)
78
79 23 Oct 2011; <swift@gentoo.org> policycoreutils-2.0.82-r1.ebuild:
80 Stabilize 2.0.82-r1 to fix #372807
81
82*policycoreutils-2.1.0-r1 (17 Sep 2011)
83
84 17 Sep 2011; <swift@gentoo.org> +policycoreutils-2.1.0-r1.ebuild:
85 Add /var/lib/selinux directory, needed for 'semodule permissive' support (bug
86 #381755)
87
88 02 Sep 2011; <swift@gentoo.org> policycoreutils-2.0.85.ebuild,
89 policycoreutils-2.1.0.ebuild:
90 Update patch locations to dev.g.o instead of files/ folder
91
92 12 Aug 2011; Anthony G. Basile <blueness@gentoo.org>
93 -policycoreutils-2.0.55.ebuild, -policycoreutils-2.0.69.ebuild,
94 -policycoreutils-2.0.69-r1.ebuild, -policycoreutils-2.0.69-r2.ebuild,
95 -files/policycoreutils-2.0.69-setfiles.diff:
96 Removed deprecated versions
97
98*policycoreutils-2.1.0 (03 Aug 2011)
99
100 03 Aug 2011; Anthony G. Basile <blueness@gentoo.org>
101 +policycoreutils-2.1.0.ebuild:
102 Bump to 20110727 SELinux userspace release
103
104*policycoreutils-2.0.85 (15 Jul 2011)
105
106 15 Jul 2011; Anthony G. Basile <blueness@gentoo.org>
107 +policycoreutils-2.0.85.ebuild,
108 +files/policycoreutils-2.0.85-fix-seunshare-vuln.patch.gz,
109 +files/policycoreutils-2.0.85-sesandbox.patch.gz:
110 Add fix for bug #374897 and initial support for python3
111
112 08 Jul 2011; Samuli Suominen <ssuominen@gentoo.org>
113 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild,
114 policycoreutils-2.0.69-r1.ebuild, policycoreutils-2.0.69-r2.ebuild:
115 Convert from "useq" to "use".
116
117*policycoreutils-2.0.82-r1 (30 Jun 2011)
118
119 30 Jun 2011; Anthony G. Basile <blueness@gentoo.org>
120 +policycoreutils-2.0.82-r1.ebuild:
121 Overwrite invalid .po files with valid ones, fixes bug #372807
122
123 16 Jun 2011; Anthony G. Basile <blueness@gentoo.org>
124 policycoreutils-2.0.82.ebuild:
125 Drop use_nls dependency on gettext. Its mandatory. See bug #299681.
126 Also put gettext in COMMON_DEPS, it is more than a RDEPEND.
127
128 28 May 2011; Anthony G. Basile <blueness@gentoo.org>
129 policycoreutils-2.0.82.ebuild:
130 Stable amd64 x86
131
132 16 Apr 2011; Anthony G. Basile <blueness@gentoo.org> metadata.xml:
133 Updated metadata info.
134
135 08 Feb 2011; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
136 policycoreutils-2.0.82.ebuild:
137 Set SUPPORT_PYTHON_ABIS (bug #353762). Fix dependencies. Fix installation
138 with FEATURES="multilib-strict".
139
140*policycoreutils-2.0.82 (05 Feb 2011)
141
142 05 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
143 +policycoreutils-2.0.82.ebuild:
144 New upstream release.
145
146*policycoreutils-2.0.69-r2 (05 Feb 2011)
147
148 05 Feb 2011; Anthony G. Basile <blueness@gentoo.org>
149 +policycoreutils-2.0.69-r2.ebuild,
150 +files/policycoreutils-2.0.69-setfiles.diff:
151 Fixed bug #300613
152
153 04 Apr 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
154 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild,
155 policycoreutils-2.0.69-r1.ebuild:
156 Delete calls to deprecated python_version().
157
158*policycoreutils-2.0.69-r1 (20 Sep 2009)
159
160 20 Sep 2009; Chris PeBenito <pebenito@gentoo.org>
161 +policycoreutils-2.0.69-r1.ebuild:
162 Update rlpkg for ext4 and btrfs.
163
164 14 Sep 2009; Chris PeBenito <pebenito@gentoo.org>
165 policycoreutils-2.0.69.ebuild:
166 Fix libsemanage DEP.
167
168 02 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
169 policycoreutils-2.0.55.ebuild, policycoreutils-2.0.69.ebuild:
170 Add python_need_rebuild.
171
172*policycoreutils-2.0.69 (02 Aug 2009)
173
174 02 Aug 2009; Chris PeBenito <pebenito@gentoo.org>
175 +policycoreutils-2.0.69.ebuild:
176 New upstream release.
177
178 18 Jul 2009; Chris PeBenito <pebenito@gentoo.org>
179 -policycoreutils-1.34.15.ebuild, policycoreutils-2.0.55.ebuild:
180 Mark stable. Remove old ebuilds.
181
182*policycoreutils-2.0.55 (03 Oct 2008)
183
184 03 Oct 2008; Chris PeBenito <pebenito@gentoo.org>
185 +policycoreutils-2.0.55.ebuild:
186 Initial commit of policycoreutils 2.0.
187
188 29 May 2008; Ali Polatel <hawking@gentoo.org>
189 policycoreutils-1.34.15.ebuild:
190 python_mod_optimize is ROOT aware. Fixed python_mod_cleanup.
191
192 26 May 2008; Chris PeBenito <pebenito@gentoo.org>
193 policycoreutils-1.34.15.ebuild:
194 Fix libsemanage dependency.
195
196 13 May 2008; Chris PeBenito <pebenito@gentoo.org>
197 -files/policycoreutils-1.28-quietlp.diff,
198 -files/policycoreutils-1.32-quietlp.diff,
199 -files/policycoreutils-unsigned-char-ppc.diff,
200 -policycoreutils-1.28.ebuild, -policycoreutils-1.30-r1.ebuild,
201 -policycoreutils-1.34.1.ebuild, -policycoreutils-1.34.11.ebuild,
202 policycoreutils-1.34.15.ebuild:
203 Mark 1.34.15 stable, clear old ebuilds.
204
205*policycoreutils-1.34.15 (29 Jan 2008)
206
207 29 Jan 2008; Chris PeBenito <pebenito@gentoo.org>
208 +policycoreutils-1.34.15.ebuild:
209 New upstream bugfix release.
210
211 19 Oct 2007; Chris PeBenito <pebenito@gentoo.org>
212 policycoreutils-1.34.11.ebuild:
213 Fix quoting in unpack.
214
215*policycoreutils-1.34.11 (18 Oct 2007)
216
217 18 Oct 2007; Chris PeBenito <pebenito@gentoo.org>
218 +policycoreutils-1.34.11.ebuild:
219 New upstream release.
220
221 04 Jun 2007; Chris PeBenito <pebenito@gentoo.org>
222 policycoreutils-1.34.1.ebuild:
223 Mark stable.
224
225*policycoreutils-1.34.1 (15 Feb 2007)
226
227 15 Feb 2007; Chris PeBenito <pebenito@gentoo.org>
228 +policycoreutils-1.34.1.ebuild:
229 New upstream release.
230
231 24 Oct 2006; Chris PeBenito <pebenito@gentoo.org>
232 policycoreutils-1.30.30.ebuild:
233 Fix glibc handling.
4 234
5 09 Oct 2006; Chris PeBenito <pebenito@gentoo.org> 235 09 Oct 2006; Chris PeBenito <pebenito@gentoo.org>
6 policycoreutils-1.30.30.ebuild: 236 policycoreutils-1.30.30.ebuild:
7 Stable to make repoman happy. 237 Stable to make repoman happy.
8 238
297*policycoreutils-1.0 (03 Aug 2003) 527*policycoreutils-1.0 (03 Aug 2003)
298 528
299 03 Aug 2003; Chris PeBenito <pebenito@gentoo.org> metadata.xml, 529 03 Aug 2003; Chris PeBenito <pebenito@gentoo.org> metadata.xml,
300 policycoreutils-1.0.ebuild, files/policycoreutils-1.0-gentoo.diff: 530 policycoreutils-1.0.ebuild, files/policycoreutils-1.0-gentoo.diff:
301 Initial commit 531 Initial commit
302

Legend:
Removed from v.1.60  
changed lines
  Added in v.1.107

  ViewVC Help
Powered by ViewVC 1.1.20